#' Computes probability-scale residuals and residual correlations.
#' 
#' This package outputs probability-scale residuals from multiple
#' models and computes residual correlation.  Probability-scale
#' residual can be computed for continuous, ordinal, binary, count,
#' and time-to-event data (although the current implementation is only
#' for ordinal variables). Plots of probability-scale residuals can be
#' useful for model diagnostics.  Residual correlation can be used to
#' test for conditional independence between multiple types of
#' variables.
#' @name PResiduals-package
#' @aliases PResiduals
#' @author Bryan Shepherd \email{bryan.shepherd@@vanderbilt.edu}
#' @author Chun Li \email{cxl791@@case.edu}
#' @author Qi Liu \email{qi.liu4@@merck.com}
#' @author Charles Dupont \email{charles.dupont@@vanderbilt.edu}
#' @author Jeffrey Horner \email{jeffrey.horner@@vanderbilt.edu}
#' @keywords package
#' @docType package
NULL
